org.springframework.jdbc.core.metadata

## Class HanaCallMetaDataProvider

- java.lang.Object
- - org.springframework.jdbc.core.metadata.GenericCallMetaDataProvider
  - - org.springframework.jdbc.core.metadata.HanaCallMetaDataProvider

- All Implemented Interfaces:
    CallMetaDataProvider

      public class HanaCallMetaDataProvider
      extends GenericCallMetaDataProvider

  SAP HANA specific implementation for the `CallMetaDataProvider` interface. This class is intended for internal use by the Simple JDBC classes.
  Since:
    4.2.1
  Author:
    Subhobrata Dey, Juergen Hoeller

- - ### Field Summary

    - ### Fields inherited from class org.springframework.jdbc.core.metadata.GenericCallMetaDataProvider

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HanaCallMetaDataProvider(DatabaseMetaData databaseMetaData)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initializeWithMetaData(DatabaseMetaData databaseMetaData)` Initialize using the provided DatabaseMetData.

    - ### Methods inherited from class org.springframework.jdbc.core.metadata.GenericCallMetaDataProvider

      `byPassReturnParameter, catalogNameToUse, createDefaultInOutParameter, createDefaultInParameter, createDefaultOutParameter, getCallParameterMetaData, getRefCursorSqlType, getUserName, initializeWithProcedureColumnMetaData, isProcedureColumnMetaDataUsed, isRefCursorSupported, isReturnResultSetSupported, isStoresLowerCaseIdentifiers, isStoresUpperCaseIdentifiers, isSupportsCatalogsInProcedureCalls, isSupportsSchemasInProcedureCalls, metaDataCatalogNameToUse, metaDataSchemaNameToUse, parameterNameToUse, procedureNameToUse, schemaNameToUse, setStoresLowerCaseIdentifiers, setStoresUpperCaseIdentifiers, setSupportsCatalogsInProcedureCalls, setSupportsSchemasInProcedureCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HanaCallMetaDataProvider

          public HanaCallMetaDataProvider(DatabaseMetaData databaseMetaData)
                                   throws SQLException

      Throws:
        `SQLException`

  - ### Method Detail

    - #### initializeWithMetaData

          public void initializeWithMetaData(DatabaseMetaData databaseMetaData)
                                      throws SQLException

      Description copied from interface: `CallMetaDataProvider`
      Initialize using the provided DatabaseMetData.
      Specified by:
        `initializeWithMetaData` in interface `CallMetaDataProvider`
      Overrides:
        `initializeWithMetaData` in class `GenericCallMetaDataProvider`
      Parameters:
        `databaseMetaData` - used to retrieve database specific information
      Throws:
        `SQLException` - in case of initialization failure